export declare class SwappingLru<T extends {
    size: number;
}> {
    cacheA: Map<string, T>;
    cacheB: Map<string, T>;
    maxSize: number;
    hits: number;
    misses: number;
    resets: number;
    clears: number;
    _lastCheckedAt: number;
    constructor(maxSize: number);
    get(id: string): T | null;
    /** Reset the cache */
    clear(): void;
    delete(id: string): void;
    set(id: string, tiff: T): void;
    /** Validate the size of the cache has not exploded */
    check(): void;
    /** Calculate the total number of bytes used by this cache */
    get currentSize(): number;
}
